//
//  AGShortcut.h
//  AGShortcutPickerView
//
//  Created by Seth Willits on 9/30/06.
//  Copyright 2006 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>

NS_ASSUME_NONNULL_BEGIN

CFStringRef LiDTS_CopyTranslateHotKey(UInt16 virtualKeyCode);

@interface AGShortcut : NSObject <NSCoding> {
	NSString * _name;
	NSUInteger _modifiers;
	NSUInteger _keyCode;
	NSString * _characters;
}

+ (BOOL)isFunctionKey:(NSUInteger)keyCode characters:(NSString *)characters;

+ (id)shortcutFromDictionary:(NSDictionary *)dict;
+ (id)shortcutFromEvent:(NSEvent *)event withName:(NSString * _Nullable)name;
+ (id)shortcutWithName:(NSString * _Nullable)name modifiers:(NSUInteger)mods keyCode:(NSUInteger)code characters:(NSString *)chars;
- (id)initWithName:(NSString * _Nullable)name modifiers:(NSUInteger)mods keyCode:(NSUInteger)code characters:(NSString *)chars;

@property (readonly, nonnull) NSString * dictionary;
@property (readwrite, strong, nullable) NSString * name;
@property (readonly) NSUInteger modifiers;
@property (readonly) NSUInteger keyCode;
@property (readonly, nullable) NSString * characters;
@property (readonly, nonnull) NSString * displayString;

@end

NS_ASSUME_NONNULL_END
